For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
      • AstroFully-managed data operations, powered by Apache Airflow.
      • Astro Private CloudRun Airflow-as-a-service in your environment.
      • Professional ServicesExpert Airflow services for your enterprise's success.
    • Tools
      • Cosmos
      • Orbiter
      • CLI
      • AI SDK
      • Agents
      • Blueprint
      • UpdatesThe State of Airflow 2026See the insights from over 5,800 data practitioners in the full report. Download Now ➔
  • Customers
  • Docs
    • Insights
      • Blog
      • Webinars
      • Resource Library
      • Events
    • Education
      • Academy
      • What is Airflow?
  • Pricing
Get Started Free
  • Astro API v1
    • Overview
    • Get started
    • Versioning and support
    • Migrate to v1
    • Deploy with the API
  • API Reference
      • POSTCreate a user invitation
      • DELDelete a user invite
    • Changelog
    • Book Office Hours

Product

  • Platform Overview
  • Astro
  • Astro Observe
  • Astro Private Cloud
  • Security & Trust
  • Pricing

Tools & Services

  • Cosmos
  • Docs
  • Professional Services
  • Product Updates

Use Cases

  • AI Ops
  • Data Observability
  • ETL/ELT
  • ML Ops
  • Operational Analytics
  • All Use Cases

Industries

  • Financial Services
  • Gaming
  • Retail
  • Manufacturing
  • Healthcare
  • All Industries

Resources

  • Academy
  • eBooks & Guides
  • Blog
  • Webinars
  • Events
  • The Data Flowcast Podcast
  • All Resources

Airflow

  • What is Airflow
  • Airflow on Astro
  • Airflow 3.0
  • Airflow Upgrades
  • Airflow Use Cases
  • Airflow 2.x End of Life

Company

  • Our Story
  • Customers
  • Newsroom
  • Careers
  • Contact

Support

  • Knowledge Base
  • Status
  • Contact Support
GitHubYouTubeLinkedInx
  • Legal
  • Privacy
  • Terms of Service
  • Consent Preferences

  • Do Not Sell or Share My Personal information
  • Limit the Use Of My Sensitive Personal Information

Apache Airflow®, Airflow, and the Airflow logo are trademarks of the Apache Software Foundation. Copyright © Astronomer 2026. All rights reserved.

LogoLogo
API ReferenceInvite

Create a user invitation

POST
https://api.astronomer.io/v1/organizations/:organizationId/invites
POST
/v1/organizations/:organizationId/invites
$curl -X POST https://api.astronomer.io/v1/organizations/organizationId/invites \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "inviteeEmail": "user1@company.com",
> "role": "ORGANIZATION_MEMBER"
>}'
1{
2 "expiresAt": "2022-11-22T04:37:12Z",
3 "inviteId": "clm9t1g17000008jmfsw20lsz",
4 "invitee": {
5 "id": "clm8qv74h000008mlf08scq7k",
6 "apiTokenName": "my-token",
7 "avatarUrl": "https://avatar.url",
8 "fullName": "Jane Doe",
9 "subjectType": "USER",
10 "username": "user1@company.com"
11 },
12 "inviter": {
13 "id": "clm8qv74h000008mlf08scq7k",
14 "apiTokenName": "my-token",
15 "avatarUrl": "https://avatar.url",
16 "fullName": "Jane Doe",
17 "subjectType": "USER",
18 "username": "user1@company.com"
19 },
20 "organizationId": "clm9t0gbt000108jv4f1cfu8u",
21 "organizationName": "My Organization",
22 "userId": "clm9t060z000008jv3mira7x5"
23}
Invite a user to an Organization.
Was this page helpful?
Previous

Delete a user invite

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization to invite the user to.

Request

The request body for creating user invite.
inviteeEmailstringRequired
The email of the user to invite.
roleenumRequired
The user's Organization role.
Allowed values:

Response

OK
expiresAtstringformat: "date-time"

The time when the invite is expired in UTC, formatted as YYYY-MM-DDTHH:MM:SSZ.

inviteIdstring
The invite ID.
inviteeobject
inviterobject
organizationIdstring
The ID of the Organization where the invite was sent.
organizationNamestring
The name of the Organization where the invite was sent.
userIdstring
The ID for the user who was invited.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error